Subject: [bug#39329] [PATCH v4 0/2] Start guix-daemon on SysV.

From: Leo Famulari <[email-masked]>
Date: Mon, 13 Apr 2020 14:21:45 -0400

On Mon, Apr 13, 2020 at 08:08:29PM +0200, Danny Milosavljevic wrote:
> I don't know whether it actually works.
> 
> I don't feel great just closing this because of that.

Okay, feel free to reopen if you want [0]

> I mean SysV is kinda outdated, so I wouldn't even know how to test it myself.
> Would Devuan work?
> Or Redhat 6/CentOS 6?

I'm sure we will get some bug reports if it doesn't work for them.

> Also, it would be a lot better to just check for
> /var/guix/daemon-socket/socket availability and usability--but I have no idea
> how to use UNIX domain sockets with bash or with tools that would be available
> everywhere.
> 
> PID files are awful.

Yeah... there's a reason everyone switched to systemd.

[0]
https://debbugs.gnu.org/server-control.html